Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

Still saying aircraft needs update

Discussion in 'Inspire 1 Help' started by BrenMyster, Mar 21, 2016.

  1. BrenMyster

    Joined:
    Jan 22, 2016
    Messages:
    47
    Likes Received:
    1
    I've just updated my inspire pro to WM610_FC550_FW_V01.04.00.70 and I've re-booted everything and the Go app is still saying the aircraft needs a firmware upgrade.

    Any ideas?

    Cheers

    B
     
  2. Kilrah

    Joined:
    Feb 3, 2015
    Messages:
    1,881
    Likes Received:
    728
    Did you shutdown everything including fully closing the app before restarting everything?
     
  3. ___1___

    Joined:
    Jul 22, 2015
    Messages:
    154
    Likes Received:
    25
    Do you mean v1.4.0.70 ? Do you have an internet connect connection? Android device?
     
  4. BrenMyster

    Joined:
    Jan 22, 2016
    Messages:
    47
    Likes Received:
    1
    yeah, its the v1.4.0.70, its the file from the DJI website, under the inspire pro downloads. I've rebooted everything. including the app. :/
     
  5. ___1___

    Joined:
    Jul 22, 2015
    Messages:
    154
    Likes Received:
    25
    Do you have an internet connect connection?
     
  6. BrenMyster

    Joined:
    Jan 22, 2016
    Messages:
    47
    Likes Received:
    1
  7. zens

    Joined:
    Mar 21, 2016
    Messages:
    2
    Likes Received:
    0
    same problem here. i have an original inspire 1 with the x5 upgrade
    app 2.7.1
    aircraft 1.6.00.40
    rc 1.5.80
    cam 1.4.0.70

    have internet connection
     
    #7 zens, Mar 21, 2016
    Last edited: Mar 21, 2016
  8. Aviator

    Joined:
    Jul 1, 2015
    Messages:
    389
    Likes Received:
    161
    Location:
    Dorset, UK
    Yeah, Same here on my Inspire 1 with X3.
    Checking the 'About' section in the App, it reports all updated as per the instructions, but on start up it reports the aircraft requires updating.
    I expect DJI will release another update to fix this update :rolleyes:
     
  9. BrenMyster

    Joined:
    Jan 22, 2016
    Messages:
    47
    Likes Received:
    1
    I just tried it on my iPad mini and it seems to be ok, Its only my phone that's telling me i still need to update. strange.
     
  10. zens

    Joined:
    Mar 21, 2016
    Messages:
    2
    Likes Received:
    0
    Mine says I need an update on my iPhone and iPad. What version firmware does the app say your aircraft has?
     
    #10 zens, Mar 21, 2016
    Last edited: Mar 21, 2016
  11. Freebird

    Joined:
    Mar 21, 2016
    Messages:
    7
    Likes Received:
    0
    Mine does the same. Still says aircraft needs update after doing 1.4.0.70. The I1/x3s are doing the same thing after doing the 1.7.0.90 update, but after internet connection they say it goes away. People are losing their minds on the I1 FB pages. Looks like a minor bug though. The I1 pro update only messed with the camera, not the FC..
    .app 2.7.1
    aircraft 1.6.00.40
    rc 1.5.80
    cam 1.4.0.70
     
  12. Micky2002

    Joined:
    Dec 23, 2015
    Messages:
    1
    Likes Received:
    0
    Same here, inspire 1 pro updated as per instructions, with iPhone 6+ it still says aircraft needs update. Tried it multiple times, formatting the original inspire SD card every go.

    Firmware is coming up the same as everyone else's...

    App 2.7.1
    Aircraft 1.6.00.40
    RC 1.5.80
    Camera 1.4.0.70

    I had my iPhone connected to Internet the whole time.

    Mike
     
  13. Freebird

    Joined:
    Mar 21, 2016
    Messages:
    7
    Likes Received:
    0
    This happened back in December too. Not too worried, but I heard from one guy that his VPS was disabled by this update and no longer functions. Anyone else? I haven't even flown my pro yet...
     
  14. seanmclean

    Joined:
    Jan 22, 2016
    Messages:
    309
    Likes Received:
    83
    Same deal here, and my iPad is connected to the internet.
     
  15. slim.slamma

    Joined:
    Jan 12, 2015
    Messages:
    813
    Likes Received:
    224
    Location:
    nyc, ithaca
    image.png image.png image.png
    In 14 months I've never had a problem with a fw update. I'm on the x3.
    iPad mini overall status updated
    Galaxy 6s overall status update required go figure
     
  16. slim.slamma

    Joined:
    Jan 12, 2015
    Messages:
    813
    Likes Received:
    224
    Location:
    nyc, ithaca
    image.png Never brag!
    Now after hooking my Rc to an android device it says
    Ac requires upgrade on my iPad, bugs...
     
  17. Freebird

    Joined:
    Mar 21, 2016
    Messages:
    7
    Likes Received:
    0
    I think mine didn't say it needed an update the first few times I powered on after I updated, and then it started. I1pro black edition...
     
  18. Aviator

    Joined:
    Jul 1, 2015
    Messages:
    389
    Likes Received:
    161
    Location:
    Dorset, UK
    DJI have confirmed this message was caused by a server error, if you connect to the internet now, the message will disappear.
     
  19. Jimmer

    Joined:
    Mar 5, 2016
    Messages:
    17
    Likes Received:
    2
    Location:
    Central New York
    Have you done this?
     
  20. Aviator

    Joined:
    Jul 1, 2015
    Messages:
    389
    Likes Received:
    161
    Location:
    Dorset, UK
    Yes, The message has finally cleared.